Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 594946 - SELinux is preventing /home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl from making the program stack executable.
SELinux is preventing /home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/l...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:ac318589ef0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 02:43 EDT by ameyaagashe
Modified: 2010-12-05 09:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 03:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ameyaagashe 2010-05-22 02:43:27 EDT
Summary:

SELinux is preventing
/home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl from making the
program stack executable.

Detailed Description:

The lsnrctl application attempted to make its stack executable. This is a
potential security problem. This should never ever be necessary. Stack memory is
not executable on most OSes these days and this will not change. Executable
stack memory is one of the biggest security problems. An execstack error might
in fact be most likely raised by malicious code. Applications are sometimes
coded incorrectly and request this permission. The SELinux Memory Protection
Tests (http://people.redhat.com/drepper/selinux-mem.html) web page explains how
to remove this requirement. If lsnrctl does not work and you need it to work,
you can configure SELinux temporarily to allow this access until the application
is fixed. Please file a bug report.

Allowing Access:

Sometimes a library is accidentally marked with the execstack flag, if you find
a library with this flag you can clear it with the execstack -c LIBRARY_PATH.
Then retry your application. If the app continues to not work, you can turn the
flag back on with execstack -s LIBRARY_PATH. Otherwise, if you trust lsnrctl to
run correctly, you can change the context of the executable to execmem_exec_t.
"chcon -t execmem_exec_t
'/home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl'" You must also
change the default file context files on the system in order to preserve them
even on a full relabel. "semanage fcontext -a -t execmem_exec_t
'/home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl'"

Fix Command:

chcon -t execmem_exec_t
'/home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        getcrshome
Source Path                   /home/aagashe/app/aagashe/product/11.2.0/dbhome_1/
                              srvm/admin/getcrshome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execstack
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   31
First Seen                    Tue 18 May 2010 09:37:14 PM EST
Last Seen                     Sat 22 May 2010 04:31:45 PM EST
Local ID                      9776c7bf-e595-47c3-a714-8c51b58be142
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274509905.619:137): avc:  denied  { execstack } for  pid=10567 comm="lsnrctl" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1274509905.619:137): arch=40000003 syscall=125 per=400000 success=no exit=-13 a0=bfc2b000 a1=1000 a2=1000007 a3=bfc2ba68 items=0 ppid=10535 pid=10567 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="lsnrctl" exe="/home/aagashe/app/aagashe/product/11.2.0/dbhome_1/bin/lsnrctl" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execstack,getcrshome,unconfined_t,unconfined_t,process,execstack
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execstack;
Comment 1 Miroslav Grepl 2010-05-24 03:31:50 EDT
Please, run:

yum update

Note You need to log in before you can comment on or make changes to this bug.